Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # binary_operation_obj Struct Template Reference [STL-like Algorithms] `#include <algorithm.hpp>` List of all members. ## Detailed Description ### template<typename Derived, typename Result = void> struct boost::gil::binary_operation_obj< Derived, Result > A generic binary operation on views Use this class as a convenience superclass when defining an operation for any image views. Many operations have different behavior when the two views are compatible. This class checks for compatibility and invokes apply_compatible(V1,V2) or apply_incompatible(V1,V2) of the subclass. You must provide apply_compatible(V1,V2) method in your subclass, but apply_incompatible(V1,V2) is not required and the default throws std::bad_cast.
## Public Types
typedef Result | result_type
## Public Member Functions
template<typename V1, typename V2>
GIL_FORCEINLINE result_type | operator() (const std::pair< const V1 *, const V2 * > &p) const
template<typename V1, typename V2>
GIL_FORCEINLINE result_type | operator() (const V1 &v1, const V2 &v2) const
result_type | operator() (const error_t &) const
The documentation for this struct was generated from the following file: algorithm.hpp